package com.platform.yijia.service;
import com.platform.yijia.pojo.IntegralOrder;
import java.util.List;

public interface IntegralOrderService {

    //生成积分订单
    boolean insertIntegralOrder(IntegralOrder integralOrder);

    //获取个人积分订单
    List<IntegralOrder> getUserIntegralOrderList(IntegralOrder integralOrder);

    //更新订单
    void updateIntegralOrder(IntegralOrder integralOrder);

}
